package cn.iocoder.yudao.module.product.convert.deviceoperatelog;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.deviceoperatelog.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.deviceoperatelog.DeviceOperateLogDO;

/**
 * 设备操作日志 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface DeviceOperateLogConvert {

    DeviceOperateLogConvert INSTANCE = Mappers.getMapper(DeviceOperateLogConvert.class);

    DeviceOperateLogDO convert(DeviceOperateLogCreateReqVO bean);

    DeviceOperateLogRespVO convert(DeviceOperateLogDO bean);

    List<DeviceOperateLogRespVO> convertList(List<DeviceOperateLogDO> list);

    PageResult<DeviceOperateLogRespVO> convertPage(PageResult<DeviceOperateLogDO> page);

}
